package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Date;
import java.util.List;

/**
 * 调拨订单VO
 * @author gaozijie
 * @date 2023-11-20
 */
public class AllotOrderVO {

    @Schema(description = "调拨订单id")
    private Long allotOrderId;

    @Schema(description = "调出点仓库id")
    private Long outWarehouseId;

    @Schema(description = "调出点库存点类型(1:仓库, 2:门店)")
    private Integer outStockPointType;

    @Schema(description = "调出点名称")
    private String outStockPointName;

    @Schema(description = "调入点仓库id")
    private Long inWarehouseId;

    @Schema(description = "调入点库存点类型(1:仓库, 2:门店)")
    private Integer inStockPointType;

    @Schema(description = "调入点名称")
    private String inStockPointName;

    @Schema(description = "物流公司id")
    private Long dvyCompanyId;

    @Schema(description = "物流公司名称")
    private String dvyCompanyName;

    @Schema(description = "物流方式")
    private Integer dvyType;

    @Schema(description = "物流单号")
    private String dvyOrderNumber;

    @Schema(description = "状态(0:作废, 1:待入库, 2:部分入库, 3:已完成)")
    private Integer status;

    @Schema(description = "总调拨数量")
    private Integer totalAllotCount;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新时间")
    private Date updateTime;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "系统类型")
    private Integer sysType;

    @Schema(description = "调拨订单商品集合")
    private List<AllotOrderItemVO> allotOrderItemVOList;

    public AllotOrderVO() {
    }

    public Long getAllotOrderId() {
        return allotOrderId;
    }

    public void setAllotOrderId(Long allotOrderId) {
        this.allotOrderId = allotOrderId;
    }

    public Long getOutWarehouseId() {
        return outWarehouseId;
    }

    public void setOutWarehouseId(Long outWarehouseId) {
        this.outWarehouseId = outWarehouseId;
    }

    public Integer getOutStockPointType() {
        return outStockPointType;
    }

    public void setOutStockPointType(Integer outStockPointType) {
        this.outStockPointType = outStockPointType;
    }

    public String getOutStockPointName() {
        return outStockPointName;
    }

    public void setOutStockPointName(String outStockPointName) {
        this.outStockPointName = outStockPointName;
    }

    public Long getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(Long inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public Integer getInStockPointType() {
        return inStockPointType;
    }

    public void setInStockPointType(Integer inStockPointType) {
        this.inStockPointType = inStockPointType;
    }

    public String getInStockPointName() {
        return inStockPointName;
    }

    public void setInStockPointName(String inStockPointName) {
        this.inStockPointName = inStockPointName;
    }

    public Long getDvyCompanyId() {
        return dvyCompanyId;
    }

    public void setDvyCompanyId(Long dvyCompanyId) {
        this.dvyCompanyId = dvyCompanyId;
    }

    public String getDvyCompanyName() {
        return dvyCompanyName;
    }

    public void setDvyCompanyName(String dvyCompanyName) {
        this.dvyCompanyName = dvyCompanyName;
    }

    public Integer getDvyType() {
        return dvyType;
    }

    public void setDvyType(Integer dvyType) {
        this.dvyType = dvyType;
    }

    public String getDvyOrderNumber() {
        return dvyOrderNumber;
    }

    public void setDvyOrderNumber(String dvyOrderNumber) {
        this.dvyOrderNumber = dvyOrderNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getTotalAllotCount() {
        return totalAllotCount;
    }

    public void setTotalAllotCount(Integer totalAllotCount) {
        this.totalAllotCount = totalAllotCount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public List<AllotOrderItemVO> getAllotOrderItemVOList() {
        return allotOrderItemVOList;
    }

    public void setAllotOrderItemVOList(List<AllotOrderItemVO> allotOrderItemVOList) {
        this.allotOrderItemVOList = allotOrderItemVOList;
    }

    @Override
    public String toString() {
        return "AllotOrderVO{" +
                "allotOrderId=" + allotOrderId +
                ", outWarehouseId=" + outWarehouseId +
                ", outStockPointType=" + outStockPointType +
                ", outStockPointName='" + outStockPointName + '\'' +
                ", inWarehouseId=" + inWarehouseId +
                ", inStockPointType=" + inStockPointType +
                ", inStockPointName='" + inStockPointName + '\'' +
                ", dvyCompanyId=" + dvyCompanyId +
                ", dvyCompanyName='" + dvyCompanyName + '\'' +
                ", dvyType=" + dvyType +
                ", dvyOrderNumber='" + dvyOrderNumber + '\'' +
                ", status=" + status +
                ", totalAllotCount=" + totalAllotCount +
                ", remark='" + remark + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", shopId=" + shopId +
                ", sysType=" + sysType +
                ", allotOrderItemVOList=" + allotOrderItemVOList +
                '}';
    }
}
